---
lang: en
title: 'API docs: socketio.socketiobooter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiobooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoBooter](./socketio.socketiobooter.md)

## SocketIoBooter class

A class that extends  to boot the  artifact type.

**Signature:**

```typescript
export declare class SocketIoBooter extends BaseArtifactBooter 
```
**Extends:** BaseArtifactBooter

## Remarks

Discovered controllers are bound using [Application.controller()](./core.application.controller.md)<!-- -->.

Supported phases: `configure`<!-- -->, `discover`<!-- -->, `load`

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(app, projectRoot, socketioControllerConfig, socketioServer)](./socketio.socketiobooter._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `SocketIoBooter` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[app](./socketio.socketiobooter.app.md)


</td><td>


</td><td>

[Application](./core.application.md)


</td><td>


</td></tr>
<tr><td>

[socketioControllerConfig](./socketio.socketiobooter.socketiocontrollerconfig.md)


</td><td>


</td><td>

ArtifactOptions


</td><td>


</td></tr>
<tr><td>

[socketioServer](./socketio.socketiobooter.socketioserver.md)


</td><td>

`protected`


</td><td>

[SocketIoServer](./socketio.socketioserver.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[load()](./socketio.socketiobooter.load.md)


</td><td>


</td><td>

Uses super method to get a list of Artifact classes. Boot each class by binding it to the application using `app.controller(controller);`<!-- -->.


</td></tr>
</tbody></table>

